package com.qs.mp.admin.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * 盲票关联商品出参类
 * @author Cup
 * @date 2022/7/18
 */
@ApiModel("盲票关联商品出参类")
@Data
public class TicketBoxGoodsListVO {

    @ApiModelProperty("关联商品id")
    private String refId;

    @ApiModelProperty("盲票组id")
    private String boxId;
    /**
     * 盲票组标题
     */
    @ApiModelProperty("商品标题")
    private String title;
    /**
     * 主图url
     */
    @ApiModelProperty("主图Url")
    private String picUrl;

    /**
     * 盲票张数
     */
    @ApiModelProperty("盲票张数")
    private Integer quantity;

    /**
     * 已售盲票张数
     */
    @ApiModelProperty("已售盲票张数")
    private Integer saleQty;

    /**
     * 盲票包原价
     */
    @ApiModelProperty("盲票包原价")
    private Integer pkgPrice;

    /**
     * 盲票包售价
     */
    @ApiModelProperty("盲票包售价")
    private Integer pkgSalePrice;

    /**
     * 每包盲票张数
     */
    @ApiModelProperty("每包盲票张数")
    private Integer pkgUnit;

    /**
     * 盲票包数
     */
    @ApiModelProperty("盲票包数")
    private Integer pkgQty;

    /**
     * 已销售包数
     */
    @ApiModelProperty("已销售包数")
    private Integer salePkgQty;

    /**
     * 盲票票面价格
     */
    @ApiModelProperty("盲票票面价格")
    private Integer facePrice;

    @ApiModelProperty("盲票原价")
    private Integer originPrice;

    /**
     * 盲票销售价格
     */
    @ApiModelProperty("盲票销售价格")
    private Integer salePrice;

    @ApiModelProperty("盲票预购价")
    private Integer prePrice;

    @ApiModelProperty("盲票包预购价")
    private Integer pkgPrePrice;

    /**
     * 分佣的销售额百分比
     */
    @ApiModelProperty("分佣的销售额百分比")
    private BigDecimal saleCommRate;

    /**
     * 规格属性
     */
    @ApiModelProperty("规格属性")
    private String properties;

    /**
     * 上架时间
     */
    @ApiModelProperty("上架时间")
    private Date onTime;

}
