package com.qs.mp.admin.domain.vo;

import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.serializer.SerializerFeature;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.qs.mp.common.enums.TicketTypeEnum;
import com.qs.mp.common.enums.UserTicketOrderStatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 用户盲票订单列表出参类
 * @author Cup
 * @date 2022/5/6
 */
@ApiModel("用户盲票订单列表出参类")
@Data
public class UserTicketOrderListVO {

    @ApiModelProperty("订单id")
    private String orderId;

    @ApiModelProperty("盲票组名称")
    private String title;

    @ApiModelProperty("订单状态;-1 已取消 0:待付款 1:已完成")
    @JSONField(serialzeFeatures = SerializerFeature.WriteEnumUsingToString)
    private UserTicketOrderStatusEnum status;

    @ApiModelProperty("盲票销售价格")
    private Integer salePrice;

    @ApiModelProperty("优惠金额")
    private Integer discountAmt;

    @ApiModelProperty("盲票数量")
    private Integer ticketNum;

    @ApiModelProperty("支付类型:1支付宝,2微信,10支付宝直连")
    private Integer payType;

    @ApiModelProperty("实付金额")
    private Integer payAmt;

    @ApiModelProperty("盲票形式（线上或线下）")
    @JSONField(serialzeFeatures = SerializerFeature.WriteEnumUsingToString)
    private TicketTypeEnum boxType;

    @ApiModelProperty("用户昵称")
    private String nickName;

    @ApiModelProperty("手机号")
    private String phone;

    @ApiModelProperty("经销商")
    private String channelName;


    @ApiModelProperty("创建时间")
    private Date createdTime;

}
