package com.qs.mp.user.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.ArrayList;
import java.util.List;
import lombok.Data;

/**
 * @author zhongcp
 * @Date 2022/3/3
 */
@Data
@ApiModel("盲票订单结算出参类")
public class TicketOrderSettleVO {

    /**
     * 订单金额
     */
    @ApiModelProperty("订单金额")
    private Integer orderAmt = 0;

    /**
     * 优惠金额
     */
    @ApiModelProperty("优惠金额")
    private Integer discountAmt = 0;

    /**
     * 实付金额
     */
    @ApiModelProperty("实付金额")
    private Integer payAmt = 0;

    /**
     * 票组ID
     */
    @ApiModelProperty("票组id")
    private String boxId;

    /**
     * 订购数量
     */
    @ApiModelProperty("订购数量")
    private Integer orderNum;

    /**
     * 盲票ID
     */
    @ApiModelProperty("盲票id")
    private String ticketId;

    /**
     * 盲票图片
     */
    @ApiModelProperty("盲票图片")
    private String picUrl;

    /**
     * 盲票标题
     */
    @ApiModelProperty("盲票标题")
    private String title;

    @ApiModelProperty("盲票关联商品图片")
    private String goodsPicUrl;

    @ApiModelProperty("盲票关联商品标题")
    private String goodsTitle;


    @ApiModelProperty("小程序appId")
    private String appId;

    /**
     * 使用优惠券列表
     */
    @ApiModelProperty("使用优惠券列表")
    List<UserCoupon4OrderVO> couponList = new ArrayList<>();

}
